clamav-users October 2011 archive
Main Archive Page > Month Archives  > clamav-users archives
clamav-users: Re: [clamav-users] 0.97.3 compile on OSX 10.6.8 wi

Re: [clamav-users] 0.97.3 compile on OSX 10.6.8 with xcode 4.2

From: Chuck Swiger <cswiger_at_nospam>
Date: Thu Oct 20 2011 - 00:50:16 GMT
To: ClamAV users ML <clamav-users@lists.clamav.net>

On Oct 19, 2011, at 5:37 PM, TR Shaw wrote:
> Ideas?

If you've got MacOS X 10.6.8, then you can't use Xcode 4.2-- that's for 10.7 or later:

ClamAV 0.7.3 appears to compile and pass all self-checks under 10.6.8 using Xcode 4.0 (or 3.x also):

make check-TESTS
PASS: check_clamav
PASS: check_freshclam.sh
PASS: check_sigtool.sh
SKIP: check_unit_vg.sh
PASS: check1_clamscan.sh
PASS: check2_clamd.sh
PASS: check3_clamd.sh
PASS: check4_clamd.sh
SKIP: check5_clamd_vg.sh
SKIP: check6_clamd_vg.sh
SKIP: check7_clamd_hg.sh
SKIP: check8_clamd_hg.sh
SKIP: check9_clamscan_vg.sh
======================
All 7 tests passed
(6 tests were not run)
======================

This was compiled with:

% cc --version
i686-apple-darwin10-llvm-gcc-4.2 (GCC) 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2335.9)

Regards,
-- -Chuck

_______________________________________________
Help us build a comprehensive ClamAV guide: visit http://wiki.clamav.net
http://www.clamav.net/support/ml